import request from '@/utils/request'

// 查询企业年报对外投资信息列表
export function listInvestment(query) {
  return request({
    url: '/basicData/xcrAnnualReportExternalInvestment/findByPage',
    method: 'get',
    params: query
  })
}

// 查询企业年报对外投资信息详细
export function getInvestment(xhCodeId) {
  return request({
    url: '/basicData/xcrAnnualReportExternalInvestment/' + xhCodeId,
    method: 'get'
  })
}

// 新增企业年报对外投资信息
export function addInvestment(data) {
  return request({
    url: '/basicData/xcrAnnualReportExternalInvestment',
    method: 'post',
    data: data
  })
}

// 修改企业年报对外投资信息
export function updateInvestment(data) {
  return request({
    url: '/basicData/xcrAnnualReportExternalInvestment',
    method: 'put',
    data: data
  })
}

// 删除企业年报对外投资信息
export function delInvestment(xhCodeId) {
  return request({
    url: '/basicData/xcrAnnualReportExternalInvestment/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delInvestmentBatch(ids) {
  return request.post('/basicData/xcrAnnualReportExternalInvestment/delete',ids)
}
